### Name: R2wd-package
### Title: Write MS-Word documents from R.
### Aliases: R2wd-package R2wd
### Keywords: package

### ** Examples

## Not run: 
##D ## rcom needs to be installed
##D if (!require(rcom)) warning("Install rcom first")
##D ## This initializes the hook to Word
##D ## if Word is already running it connects to it via StatconnDcom
##D ## if not, it uses StatconnDcom to open word to create a new document
##D ## and to connect to it.
##D wdGet()
##D ## Then there is a set of small functions which implement elementary
##D ## functionality:
##D wdTitle("R2wd, A Package for writing Word Documents from R",label="R2wd")
##D ##
##D wdSection("Introduction")
##D ##
##D wdBody("This is an example on how to use the R2wd package.")
##D ##
##D ## We can also plot data. The following line uses the default plot command
##D ##
##D wdPlot(1:100,sin((1:100)/10),type="l",main="a test graph")
##D ##
##D ## The plot command can be exchanged for something else
##D ##
##D wdPlot(mtcars,plotfun=pairs,main="a test graph",height=6,width=6,pointsize=8)
##D ##
##D ## we can also do something more elaborate (requires latticeExtra)
##D ##
##D if (!require(latticeExtra)) warning("Install latticeExtra first")
##D fun<-function(...) print(useOuterStrips(xyplot(...)))
##D wdPlot(mpg~hp|cyl+carb,data=mtcars,plotfun=fun,height=6,width=6)
##D ##
##D ## There is also rudimentary way to transfer data frames.
##D ##
##D wdTable(mtcars)
##D ##
##D ## It may be useful to format them first
##D ##
##D wdTable(format(mtcars))
##D ##
##D ## Finally, we can apply themes and templates
##D ##
##D wdApplyTheme("Quad 100")
##D wdApplyTheme("BlueCalm 100")
##D wdApplyTheme("None")
##D wdSave("MyDoc")
##D ##
##D wdQuit()
## End(Not run)



